package com.crm.manager.service;

import com.crm.rely.backend.core.dto.base.BaseResultWithPagerDto;
import com.crm.rely.backend.core.dto.custom.group.CustomGroupDto;
import com.crm.rely.backend.core.dto.custom.group.CustomGroupStaticDto;
import com.crm.rely.backend.core.dto.custom.group.demo.CustomGroupDemoDto;
import com.crm.rely.backend.core.dto.custom.group.demo.CustomGroupDemoStaticDto;
import com.crm.rely.backend.core.entity.custom.group.demo.CustomGroupDemoAddEntity;
import com.crm.rely.backend.core.entity.custom.group.demo.CustomGroupDemoListEntity;
import com.crm.rely.backend.core.entity.custom.group.demo.CustomGroupDemoUpdateEntity;

import java.util.List;

/**
 * Created by max on 2020/7/8.
 */
public interface CustomGroupDemoService {

    void add(CustomGroupDemoAddEntity entity) throws Exception;

    void updateById(CustomGroupDemoUpdateEntity entity) throws Exception;

    void deleteById(Long id) throws Exception;

    CustomGroupDemoDto getById(Long id) throws Exception;

    BaseResultWithPagerDto<List<CustomGroupDemoDto>> getList(CustomGroupDemoListEntity entity) throws Exception;

    CustomGroupDemoStaticDto getStaticData() throws Exception;

}
